complexType "CommodityMarketDisruption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 9 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | ((marketDisruptionEvents?, additionalMarketDisruptionEvent*) | marketDisruptionEvent+)?, (disruptionFallbacks | disruptionFallback+)?, fallbackReferencePrice?, maximumNumberOfDaysOfDisruption?, priceMaterialityPercentage?, minimumFuturesContracts?
</...>

Content Model Elements (9):

  additionalMarketDisruptionEvent,
  disruptionFallback,
  disruptionFallbacks,
  fallbackReferencePrice (in marketDisruption defined in CommodityContent.model group),
  marketDisruptionEvent,
  marketDisruptionEvents,
  maximumNumberOfDaysOfDisruption,
  minimumFuturesContracts,
  priceMaterialityPercentage

All Direct / Indirect Based Elements (1):

  marketDisruption (defined in CommodityContent.model group)

Known Usage Locations

- As direct type of elements (1):
  marketDisruption (defined in CommodityContent.model group)

Annotation
ISDA 1993 or 2005 commodity market disruption elements.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="CommodityMarketDisruption"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="marketDisruptionEvents" type="MarketDisruptionEventsEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalMarketDisruptionEvent" type="MarketDisruptionEvent"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="marketDisruptionEvent" type="MarketDisruptionEvent"/> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element name="disruptionFallbacks" type="DisruptionFallbacksEnum"/> <xsd:element maxOccurs="unbounded" name="disruptionFallback" type="SequencedDisruptionFallback"/> </xsd:choice> <xsd:element minOccurs="0" name="fallbackReferencePrice" type="Underlyer"/> <xsd:element minOccurs="0" name="maximumNumberOfDaysOfDisruption" type="xsd:nonNegativeInteger"/> <xsd:element minOccurs="0" name="priceMaterialityPercentage" type="xsd:decimal"/> <xsd:element minOccurs="0" name="minimumFuturesContracts" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/9)
additionalMarketDisruptionEvent

  Type: | MarketDisruptionEvent, simple content

  To be used when marketDisruptionEvents is set to "Applicable" and additional market disruption events(s) apply to the default market disruption events of Section 7.4(d)(i) of the ISDA Commodity Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalMarketDisruptionEvent" type="MarketDisruptionEvent"/>

disruptionFallback

  Type: | SequencedDisruptionFallback, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="disruptionFallback" type="SequencedDisruptionFallback"/>

disruptionFallbacks

  Type: | DisruptionFallbacksEnum, simple content

  To be used where disruption fallbacks are set out in the relevant Master Agreement governing the trade.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "AsSpecifiedInMasterAgreement" | - | The Disruption Fallback(s) are determined by reference to the relevant Master Agreement.
  "AsSpecifiedInConfirmation" | - | The Disruption Fallback(s) are determined by reference to the relevant Confirmation.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="disruptionFallbacks" type="DisruptionFallbacksEnum"/>

fallbackReferencePrice

  Type: | Underlyer, complex content

  A fallback commodity reference price for use when relying on Disruption Fallbacks in Section 7.5(d)(i) of the ISDA Commodity Definitions or have selected "Fallback Reference Price" as a disruptionFallback.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fallbackReferencePrice" type="Underlyer"/>

marketDisruptionEvent

  Type: | MarketDisruptionEvent, simple content

  Market disruption event(s) that apply. Note that these should only be specified if the default market disruption events of Section 7.4(d)(i) of the ISDA Commodity Definitions are to be overridden.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="marketDisruptionEvent" type="MarketDisruptionEvent"/>

marketDisruptionEvents

  Type: | MarketDisruptionEventsEnum, simple content

  If Market disruption Events are stated to be Applicable then the default Market Disruption Events of Section 7.4(d)(i) of the ISDA Commodity Definitions shall apply unless specific Market Disruption Events are stated hereunder, in which case these shall override the ISDA defaults. If Market Disruption Events are stated to be Not Applicable, Market Disruption Events are not applicable to the trade at all. It is also possible to reference the Market Disruption Events set out in the relevant Master Agreement governing the trade.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Applicable" | - | Market Disruption Events are applicable.
  "NotApplicable" | - | Market Disruption Events are not applicable.
  "AsSpecifiedInMasterAgreement" | - | The Market Disruption Event(s) are determined by reference to the relevant Master Agreement.
  "AsSpecifiedInConfirmation" | - | The Market Disruption Event(s) are determined by reference to the relevant Confirmation.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketDisruptionEvents" type="MarketDisruptionEventsEnum"/>

maximumNumberOfDaysOfDisruption

  Type: | xsd:nonNegativeInteger, predefined, simple content

  2005 Commodity Definitions only. If omitted , the number of days specified in Section 7.6(a) of the Definitions will apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumNumberOfDaysOfDisruption" type="xsd:nonNegativeInteger"/>

minimumFuturesContracts

  Type: | xsd:positiveInteger, predefined, simple content

  1993 Commodity Definitions only. Specifies the Mimum Futures Contracts level that dictates whether or not a "De Minimis Trading" event has occurred. Only relevant if 'De Minimis Trading' has been specified in marketDisruptionEvent or additionalMarketDisruptionEvent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="minimumFuturesContracts" type="xsd:positiveInteger"/>

priceMaterialityPercentage

  Type: | xsd:decimal, predefined, simple content

  2005 Commodity Definitions only. To be used where a price materiality percentage applies to the "Price Source Disruption" event and this event has been specified by setting marketDisruption to true or including it in additionalMarketDisruptionEvent
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="priceMaterialityPercentage" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.